Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.graph.impl
Class Node.NType.Field

    java.lang.Object
      de.grogra.reflect.MemberBase
          de.grogra.persistence.PersistenceField
              de.grogra.persistence.ManageableType.Field
                  de.grogra.graph.impl.Node.NType.Field

All Implemented Interfaces:
  Field, FieldChain, Member, XObject

Direct Known Subclasses:
  Node.NType.BitField

Enclosing class:
  Node.NType

    public static class Node.NType.Field

extends ManageableType.Field
implements XObject

Field Summary

Fields inherited from class de.grogra.persistence.ManageableType.Field
`DEFINES_SHARED, FCO, GETS_COPY, HIDDEN, OBJECT_CLASS_MASK, SCO, UNMANAGED`

Fields inherited from class de.grogra.reflect.MemberBase
`annots, declaringType, descriptor, modifiers, name`

Fields inherited from interface de.grogra.reflect.Field
`FIELD_0, INTERFACE_MODIFIERS, MODIFIERS`

Fields inherited from interface de.grogra.reflect.Member
`ABSTRACT, ACCESS_MODIFIERS, ARRAY, BRIDGE, CONSTANT, FINAL, INTERFACE, JAVA_MODIFIERS, LOCAL_CLASS, MIN_UNUSED_MODIFIER, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICT, SYNCHRONIZED, SYNTHETIC, TRANSIENT, VARARGS, VOLATILE`

Constructor Summary
`Node.NType.Field(Node.NType declaring, Field wrapped, int modifiers)`
`Node.NType.Field(Node.NType declaring, java.lang.String name, int modifiers, java.lang.Class type, java.lang.Class componentType, boolean wrapper)`
`Node.NType.Field(Node.NType declaring, java.lang.String name, int modifiers, Type type, Type componentType)`

Method Summary
`Attribute` | `getAttribute()`
`boolean` | `getBoolean(java.lang.Object object)`
`byte` | `getByte(java.lang.Object object)`
`char` | `getChar(java.lang.Object object)`
`Attribute` | `getDependentAttribute()`
`double` | `getDouble(java.lang.Object object)`
`float` | `getFloat(java.lang.Object object)`
`int` | `getInt(java.lang.Object object)`
`long` | `getLong(java.lang.Object object)`
`java.lang.Object` | `getObject(java.lang.Object object)`
`short` | `getShort(java.lang.Object object)`
`XClass` | `getXClass()`
`XData` | `getXData()`
`void` | `initXClass(XClass cls)`
`void` | `setBoolean(java.lang.Object object, boolean value)`
`void` | `setByte(java.lang.Object object, byte value)`
`void` | `setChar(java.lang.Object object, char value)`
`void` | `setDouble(java.lang.Object object, double value)`
`void` | `setFloat(java.lang.Object object, float value)`
`void` | `setInt(java.lang.Object object, int value)`
`void` | `setLong(java.lang.Object object, long value)`
`protected void` | `setObjectImpl(java.lang.Object object, java.lang.Object value)`
`void` | `setShort(java.lang.Object object, short value)`

Methods inherited from class de.grogra.persistence.ManageableType.Field
`cast, concat, containsSCO, getArrayChain, getArrayComponent, getBoolean, getByte, getChar, getCloned, getDouble, getFieldId, getFloat, getInt, getLastField, getLong, getMaxValue, getMinValue, getObject, getQuantity, getSerializationMethod, getShallowSubchain, getShort, getSubfield, getType, insertBoolean, insertByte, insertChar, insertDouble, insertFloat, insertInt, insertLong, insertObject, insertShort, isArrayComponent, isGetReturningCopy, length, overlaps, readObject, removeBoolean, removeByte, removeChar, removeDouble, removeFloat, removeInt, removeLong, removeObject, removeShort, setBoolean, setByte, setChar, setDouble, setFloat, setInt, setLong, setMaxValue, setMinValue, setObject, setObject, setQuantity, setShort, toString, writeObject`

Methods inherited from class de.grogra.persistence.PersistenceField
`get, get, getField, isWritable, set`

Methods inherited from class de.grogra.reflect.MemberBase
`getDeclaredAnnotation, getDeclaredAnnotationCount, getDeclaringType, getDescriptor, getModifiers, getName, getSimpleName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.reflect.Member
`getDeclaredAnnotation, getDeclaredAnnotationCount, getDeclaringType, getDescriptor, getModifiers, getName, getSimpleName`

Constructor Detail

### Node.NType.Field

    public Node.NType.Field(Node.NType declaring,
                            Field wrapped,
                            int modifiers)

### Node.NType.Field

    public Node.NType.Field(Node.NType declaring,
                            java.lang.String name,
                            int modifiers,
                            java.lang.Class type,
                            java.lang.Class componentType,
                            boolean wrapper)

### Node.NType.Field

    public Node.NType.Field(Node.NType declaring,
                            java.lang.String name,
                            int modifiers,
                            Type type,
                            Type componentType)

Method Detail

### getAttribute

    public final Attribute getAttribute()

### getBoolean

    public boolean getBoolean(java.lang.Object object)

  Specified by:
    `getBoolean` in interface `Field`
  Overrides:
    `getBoolean` in class `ManageableType.Field`

### getByte

    public byte getByte(java.lang.Object object)

  Specified by:
    `getByte` in interface `Field`
  Overrides:
    `getByte` in class `ManageableType.Field`

### getChar

    public char getChar(java.lang.Object object)

  Specified by:
    `getChar` in interface `Field`
  Overrides:
    `getChar` in class `ManageableType.Field`

### getDependentAttribute

    public final Attribute getDependentAttribute()

### getDouble

    public double getDouble(java.lang.Object object)

  Specified by:
    `getDouble` in interface `Field`
  Overrides:
    `getDouble` in class `ManageableType.Field`

### getFloat

    public float getFloat(java.lang.Object object)

  Specified by:
    `getFloat` in interface `Field`
  Overrides:
    `getFloat` in class `ManageableType.Field`

### getInt

    public int getInt(java.lang.Object object)

  Specified by:
    `getInt` in interface `Field`
  Overrides:
    `getInt` in class `ManageableType.Field`

### getLong

    public long getLong(java.lang.Object object)

  Specified by:
    `getLong` in interface `Field`
  Overrides:
    `getLong` in class `ManageableType.Field`

### getObject

    public java.lang.Object getObject(java.lang.Object object)

  Specified by:
    `getObject` in interface `Field`
  Overrides:
    `getObject` in class `ManageableType.Field`

### getShort

    public short getShort(java.lang.Object object)

  Specified by:
    `getShort` in interface `Field`
  Overrides:
    `getShort` in class `ManageableType.Field`

### getXClass

    public final XClass getXClass()

  Specified by:
    `getXClass` in interface `XObject`

### getXData

    public final XData getXData()

  Specified by:
    `getXData` in interface `XObject`

### initXClass

    public final void initXClass(XClass cls)

  Specified by:
    `initXClass` in interface `XObject`

### setBoolean

    public void setBoolean(java.lang.Object object,
                           boolean value)

  Specified by:
    `setBoolean` in interface `Field`
  Overrides:
    `setBoolean` in class `ManageableType.Field`

### setByte

    public void setByte(java.lang.Object object,
                        byte value)

  Specified by:
    `setByte` in interface `Field`
  Overrides:
    `setByte` in class `ManageableType.Field`

### setChar

    public void setChar(java.lang.Object object,
                        char value)

  Specified by:
    `setChar` in interface `Field`
  Overrides:
    `setChar` in class `ManageableType.Field`

### setDouble

    public void setDouble(java.lang.Object object,
                          double value)

  Specified by:
    `setDouble` in interface `Field`
  Overrides:
    `setDouble` in class `ManageableType.Field`

### setFloat

    public void setFloat(java.lang.Object object,
                         float value)

  Specified by:
    `setFloat` in interface `Field`
  Overrides:
    `setFloat` in class `ManageableType.Field`

### setInt

    public void setInt(java.lang.Object object,
                       int value)

  Specified by:
    `setInt` in interface `Field`
  Overrides:
    `setInt` in class `ManageableType.Field`

### setLong

    public void setLong(java.lang.Object object,
                        long value)

  Specified by:
    `setLong` in interface `Field`
  Overrides:
    `setLong` in class `ManageableType.Field`

### setObjectImpl

    protected void setObjectImpl(java.lang.Object object,
                                 java.lang.Object value)

  Overrides:
    `setObjectImpl` in class `ManageableType.Field`

### setShort

    public void setShort(java.lang.Object object,
                         short value)

  Specified by:
    `setShort` in interface `Field`
  Overrides:
    `setShort` in class `ManageableType.Field`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD